'use strict';

/* global module, require */
var defaults = require('./_utils.js').defaults;

/**
   * Example
   *
   * @param  {Object} $ - Helper object containing gulp plugins
   * @param  {Object} gulp - Reference to the current version of gulp
   * @param  {Object} opts - Task specific options
   */
module.exports = function ($, gulp, opts) {
    // Return a function so we can use the task multiple times in the same document,
    // or the options get overwritten/ammended by the next task.
    return function () {
        /*
            Overwrite default options with anything defined by the user.
            Lightweight version of lodash _.merge()
        */
        var config = defaults({
            isProduction: false,
            reload: true
        }, opts);

        // Gulp task goes here.
        return gulp.src(config.src);
    };
};