'use strict';

/* global module, require */

var defaults = require('./_utils.js').defaults;

/**
   * Files
   *
   * @param  {object} $ - Helper object containing gulp plugins
   * @param  {function} gulp - Reference to the current version of gulp
   * @param  {object} opts - Options referenced below
   */
var files = function files($, gulp, opts) {
  return function () {
    return gulp.src(opts.src).pipe(gulp.dest(opts.dest));
  };
};

var clean = function clean($, gulp, opts) {
  return function () {
    return gulp.src([opts.src]).pipe($.clean());
  };
};

/*---------- [ Error Helpers ] ----------*/
// const scssLintErrors = (file) => {
//     if (!file.scsslint.success) {
//         const errorMessage = file.scsslint.issues.length + ' SCSS Error' + (file.scsslint.issues.length == 1 ? '' : 's') + ':';
//         $.util.log($.util.colors.bgRed(errorMessage));
//         for(let i = 0; i < file.scsslint.issues.length; i++) {
//             $.util.log(
//                 '\n\n' +$.util.colors.bgRed('Error') +
//                 $.util.colors.red('\nFile: ') + file.path.substring(file.path.indexOf('current') + 8) +
//                 $.util.colors.red('\nRule: ') + file.scsslint.issues[i].linter +
//                 $.util.colors.red('\nLine: ') + file.scsslint.issues[i].line +
//                 $.util.colors.red('\nColumn: ') + file.scsslint.issues[i].column +
//                 $.util.colors.red('\nReason: ') + file.scsslint.issues[i].reason
//             );
//         }
//         $.notify().write(errorMessage);
//         $.util.beep();
//     }
// };

// const plumberError = (error) => {
//     $.util.log('\n' +  $.util.colors.bgRed('Error') + $.util.colors.red('\nMessage: ') + error.message + $.util.colors.red('\nFile: ') +  error.fileName.substring(error.fileName.indexOf('current') + 8) + $.util.colors.red('\nLine: ') + error.lineNumber);
//     $.util.beep();
//     $.notify().write(error.message);
// };

module.exports = {
  files: files,
  clean: clean
};