'use strict';

module.exports.throttle = function (fn, threshhold, scope) {
  threshhold || (threshhold = 250);
  var last = void 0;
  var deferTimer = void 0;

  return function () {
    var context = scope || this;

    var now = +new Date();
    var args = arguments;
    if (last && now < last + threshhold) {
      // hold on to it
      clearTimeout(deferTimer);
      deferTimer = setTimeout(function () {
        last = now;
        fn.apply(context, args);
      }, threshhold + last - now);
    } else {
      last = now;
      fn.apply(context, args);
    }
  };
};